yi-misc-modes-0.19.1: Yi editor miscellaneous modes

Safe Haskell | None
Language | Haskell2010

Yi.Lexer.Abella

# Documentation

lexer :: StyleLexerASI HlState Token Source #

tokenToText :: Token -> Maybe String Source #

type TT = Tok Token Source #

isComment :: Token -> Bool Source #

data Token Source #

Constructors

Number |
VarIdent |
ConsIdent |
Reserved !Reserved |
ReservedOp !ReservedOp |
CommentLine |
Skip |
Unrecognized |

#### Instances

Instances details

Show Token Source # |
Instance details Defined in Yi.Lexer.Abella Methods showsPrec :: Int -> Token -> ShowS Source # show :: Token -> String Source # showList :: [Token] -> ShowS Source #
Eq Token Source # |
Instance details Defined in Yi.Lexer.Abella Methods (==) :: Token -> Token -> Bool Source # (/=) :: Token -> Token -> Bool Source #

type HlState = Int Source #

data Reserved Source #

Constructors

Forall |
Exists |
Other |

#### Instances

Instances details

Show Reserved Source # |
Instance details Defined in Yi.Lexer.Abella Methods showsPrec :: Int -> Reserved -> ShowS Source # show :: Reserved -> String Source # showList :: [Reserved] -> ShowS Source #
Eq Reserved Source # |
Instance details Defined in Yi.Lexer.Abella Methods (==) :: Reserved -> Reserved -> Bool Source # (/=) :: Reserved -> Reserved -> Bool Source #

data ReservedOp Source #

Constructors

Or |
And |
BackSlash |
RightArrow |
DoubleRightArrow |
Dot |
OtherOp |

#### Instances

Instances details

Show ReservedOp Source # |
Instance details Defined in Yi.Lexer.Abella Methods showsPrec :: Int -> ReservedOp -> ShowS Source # show :: ReservedOp -> String Source # showList :: [ReservedOp] -> ShowS Source #
Eq ReservedOp Source # |
Instance details Defined in Yi.Lexer.Abella Methods (==) :: ReservedOp -> ReservedOp -> Bool Source # (/=) :: ReservedOp -> ReservedOp -> Bool Source #